Skip to main content
`Ctrl`+`K`

# BVSetSizesFromVec

Sets the local and global sizes, and the number of columns. Local and global sizes are specified indirectly by passing a template vector.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVSetSizesFromVec(BV bv,Vec t,PetscInt m)

Collective

## Input Parameters

- bv - the basis vectors

- t - the template vector

- m - the number of columns

## Notes

Apart from the local and global sizes, the template vector `t` is also used to get the vector type, which will be set as the `BV` vector type with `BVSetVecType()`. This is relevant in cases where computation must be done on the GPU.

If `t` is a nested vector (type `VECNEST`), then the vector type will be obtained from the first subvector. The rationale is that `BV` will operate internally with regular vectors, even though the user problem is defined via nested matrices and vectors.

## See Also

BV: Basis Vectors, `BVSetSizes()`, `BVGetSizes()`, `BVResize()`, `BVSetVecType()`

## Level

beginner

## Location

src/sys/classes/bv/interface/bvbasic.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages